Bug 905931 - RFE : keystone should include predefined roles like network-admin, network-operator , tenant-admin , storage-admin ...
RFE : keystone should include predefined roles like network-admin, network-op...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Adam Young
Ami Jeain
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 08:58 EST by Ofer Blaut
Modified: 2016-04-26 12:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-22 20:22:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1204643 None None None Never

  None (edit)
Description Ofer Blaut 2013-01-30 08:58:30 EST
Description of problem:

IMHO keystone should include predefined roles like network-admin, network-viewer ,network-operator , tenant-admin , storage-admin , storage-operator ....

These predefined role can secure and ease operation of tenants 

currently default role is admin .

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Jamie Lennox 2015-03-22 20:22:08 EDT
This won't happen upstream. It is not considered keystone's job to dictate how deployments set up their roles. It is also non-trivial to provide this information by packaging as roles are stored in the database rather than config files which is not under the packages control. 

I think this deployment decisions like this should remain the domain of installers.

Note You need to log in before you can comment on or make changes to this bug.